Bug 518317 - Review Request: perdition - Mail Retrieval Proxy
Summary: Review Request: perdition - Mail Retrieval Proxy
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 518315 518316 518318
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-19 20:21 UTC by Pavel Alexeev
Modified: 2013-12-19 10:53 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-19 10:53:48 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Pavel Alexeev 2009-08-19 20:21:03 UTC
Spec URL: http://hubbitus.net.ru/rpm/Fedora11/perdition/perdition.spec
SRPM URL: http://hubbitus.net.ru/rpm/Fedora11/perdition/perdition-1.17.1-2.fc11.src.rpm
Description:
Perdition is a fully featured POP3 and IMAP4 proxy server. It is able to
handle both SSL and non-SSL connections and redirect users to a
real-server based on a database lookup. Perdition supports modular based
database access. ODBC, MySQL, PostgreSQL, GDBM, POSIX Regular Expression
and NIS modules ship with the distribution. The API for modules is open
allowing arbitrary modules to be written to allow access to any data store.

Perdition can be used to: Create large mail systems where a users mailbox
may be stored on one of several hosts.  Integrate different mail systems
together. Migrate between different email infrastructure. And in firewall

P.S. In spec used 5 space tab width.

Comment 3 Fabian Affolter 2012-06-30 11:55:21 UTC
The latest release is 1.19-rc5.

URLs are outdated. New ones seams to be:
Spec URL: http://hubbitus.info/rpm/Fedora11/perdition/perdition.spec
SRPM URL: http://hubbitus.info/rpm/Fedora11/perdition/perdition-1.17.1-4.fc11.src.rpm

Comment 5 Mario Blättermann 2013-01-02 09:34:03 UTC
Scratch build for Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4831089

$ rpmlint -i -v *

perdition.src: I: checking
perdition.src: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
The value of this tag appears to be misspelled. Please double-check.

perdition.src: I: checking-url http://horms.net/projects/perdition/ (timeout 10 seconds)
perdition.src:156: W: mixed-use-of-spaces-and-tabs (spaces: line 156, tab: line 3)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

perdition.src: I: checking-url http://horms.net/projects/perdition/download/1.19-rc5/perdition-1.19-rc5.tar.bz2 (timeout 10 seconds)
perdition.i686: I: checking
perdition.i686: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
The value of this tag appears to be misspelled. Please double-check.

perdition.i686: I: checking-url http://horms.net/projects/perdition/ (timeout 10 seconds)
perdition.i686: E: non-readable /usr/lib/systemd/system/perdition-pop3s.service 0600L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

perdition.i686: E: non-readable /usr/lib/systemd/system/perdition-managesieve.service 0600L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

perdition.i686: E: non-readable /usr/lib/systemd/system/perdition-imap4.service 0600L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

perdition.i686: E: zero-length /usr/share/doc/perdition-1.19/NEWS
perdition.i686: E: non-readable /usr/lib/systemd/system/perdition-pop3.service 0600L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

perdition.i686: E: non-readable /usr/lib/systemd/system/perdition-imap4s.service 0600L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

perdition.x86_64: I: checking
perdition.x86_64: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
The value of this tag appears to be misspelled. Please double-check.

perdition.x86_64: I: checking-url http://horms.net/projects/perdition/ (timeout 10 seconds)
perdition.x86_64: E: non-readable /usr/lib/systemd/system/perdition-pop3s.service 0600L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

perdition.x86_64: E: non-readable /usr/lib/systemd/system/perdition-managesieve.service 0600L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

perdition.x86_64: E: non-readable /usr/lib/systemd/system/perdition-imap4.service 0600L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

perdition.x86_64: E: zero-length /usr/share/doc/perdition-1.19/NEWS
perdition.x86_64: E: non-readable /usr/lib/systemd/system/perdition-pop3.service 0600L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

perdition.x86_64: E: non-readable /usr/lib/systemd/system/perdition-imap4s.service 0600L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

perdition-bdb.i686: I: checking
perdition-bdb.i686: W: spelling-error %description -l en_US glibc -> glib, glib c
The value of this tag appears to be misspelled. Please double-check.

perdition-bdb.i686: I: checking-url http://horms.net/projects/perdition/ (timeout 10 seconds)
perdition-bdb.x86_64: I: checking
perdition-bdb.x86_64: W: spelling-error %description -l en_US glibc -> glib, glib c
The value of this tag appears to be misspelled. Please double-check.

perdition-bdb.x86_64: I: checking-url http://horms.net/projects/perdition/ (timeout 10 seconds)
perdition-cdb.i686: I: checking
perdition-cdb.i686: W: spelling-error %description -l en_US glibc -> glib, glib c
The value of this tag appears to be misspelled. Please double-check.

perdition-cdb.i686: I: checking-url http://horms.net/projects/perdition/ (timeout 10 seconds)
perdition-cdb.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

perdition-cdb.x86_64: I: checking
perdition-cdb.x86_64: W: spelling-error %description -l en_US glibc -> glib, glib c
The value of this tag appears to be misspelled. Please double-check.

perdition-cdb.x86_64: I: checking-url http://horms.net/projects/perdition/ (timeout 10 seconds)
perdition-cdb.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

perdition-debuginfo.i686: I: checking
perdition-debuginfo.i686: I: checking-url http://horms.net/projects/perdition/ (timeout 10 seconds)
perdition-debuginfo.i686: E: empty-debuginfo-package
This debuginfo package contains no files.  This is often a sign of binaries
being unexpectedly stripped too early during the build, rpmbuild not being
able to strip the binaries, the package actually being a noarch one but
erratically packaged as arch dependent, or something else.  Verify what the
case is, and if there's no way to produce useful debuginfo out of it, disable
creation of the debuginfo package.

perdition-debuginfo.x86_64: I: checking
perdition-debuginfo.x86_64: I: checking-url http://horms.net/projects/perdition/ (timeout 10 seconds)
perdition-debuginfo.x86_64: E: empty-debuginfo-package
This debuginfo package contains no files.  This is often a sign of binaries
being unexpectedly stripped too early during the build, rpmbuild not being
able to strip the binaries, the package actually being a noarch one but
erratically packaged as arch dependent, or something else.  Verify what the
case is, and if there's no way to produce useful debuginfo out of it, disable
creation of the debuginfo package.

perdition-ldap.i686: I: checking
perdition-ldap.i686: W: spelling-error %description -l en_US glibc -> glib, glib c
The value of this tag appears to be misspelled. Please double-check.

perdition-ldap.i686: I: checking-url http://horms.net/projects/perdition/ (timeout 10 seconds)
perdition-ldap.x86_64: I: checking
perdition-ldap.x86_64: W: spelling-error %description -l en_US glibc -> glib, glib c
The value of this tag appears to be misspelled. Please double-check.

perdition-ldap.x86_64: I: checking-url http://horms.net/projects/perdition/ (timeout 10 seconds)
perdition-mysql.i686: I: checking
perdition-mysql.i686: W: spelling-error %description -l en_US glibc -> glib, glib c
The value of this tag appears to be misspelled. Please double-check.

perdition-mysql.i686: I: checking-url http://horms.net/projects/perdition/ (timeout 10 seconds)
perdition-mysql.x86_64: I: checking
perdition-mysql.x86_64: W: spelling-error %description -l en_US glibc -> glib, glib c
The value of this tag appears to be misspelled. Please double-check.

perdition-mysql.x86_64: I: checking-url http://horms.net/projects/perdition/ (timeout 10 seconds)
perdition-odbc.i686: I: checking
perdition-odbc.i686: W: spelling-error %description -l en_US glibc -> glib, glib c
The value of this tag appears to be misspelled. Please double-check.

perdition-odbc.i686: I: checking-url http://horms.net/projects/perdition/ (timeout 10 seconds)
perdition-odbc.x86_64: I: checking
perdition-odbc.x86_64: W: spelling-error %description -l en_US glibc -> glib, glib c
The value of this tag appears to be misspelled. Please double-check.

perdition-odbc.x86_64: I: checking-url http://horms.net/projects/perdition/ (timeout 10 seconds)
perdition-postgresql.i686: I: checking
perdition-postgresql.i686: W: spelling-error %description -l en_US glibc -> glib, glib c
The value of this tag appears to be misspelled. Please double-check.

perdition-postgresql.i686: I: checking-url http://horms.net/projects/perdition/ (timeout 10 seconds)
perdition-postgresql.x86_64: I: checking
perdition-postgresql.x86_64: W: spelling-error %description -l en_US glibc -> glib, glib c
The value of this tag appears to be misspelled. Please double-check.

perdition-postgresql.x86_64: I: checking-url http://horms.net/projects/perdition/ (timeout 10 seconds)
perdition.spec:156: W: mixed-use-of-spaces-and-tabs (spaces: line 156, tab: line 3)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

perdition.spec: I: checking-url http://horms.net/projects/perdition/download/1.19-rc5/perdition-1.19-rc5.tar.bz2 (timeout 10 seconds)
perdition-sysvinit.i686: I: checking
perdition-sysvinit.i686: W: spelling-error Summary(en_US) initscripts -> postscripts, transcripts, inscription
The value of this tag appears to be misspelled. Please double-check.

perdition-sysvinit.i686: W: spelling-error %description -l en_US initscripts -> postscripts, transcripts, inscription
The value of this tag appears to be misspelled. Please double-check.

perdition-sysvinit.i686: W: spelling-error %description -l en_US init -> unit, int, nit
The value of this tag appears to be misspelled. Please double-check.

perdition-sysvinit.i686: W: spelling-error %description -l en_US systemd -> systems, system, system d
The value of this tag appears to be misspelled. Please double-check.

perdition-sysvinit.i686: I: checking-url http://horms.net/projects/perdition/ (timeout 10 seconds)
perdition-sysvinit.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.pop3
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.pop3s
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.imap4
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.imaps
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.managesieve
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.pop3
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.pop3s
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.imap4
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.imaps
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.managesieve
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

perdition-sysvinit.i686: W: service-default-enabled /etc/rc.d/init.d/perdition
The service is enabled by default after "chkconfig --add"; for security
reasons, most services should not be. Use "-" as the default runlevel in the
init script's "chkconfig:" line and/or remove the "Default-Start:" LSB keyword
to fix this if appropriate for this service.

perdition-sysvinit.i686: E: no-chkconfig-line /etc/rc.d/init.d/perdition
The init script doesn't contain a chkconfig line to specify the runlevels at
which to start and stop it.

perdition-sysvinit.x86_64: I: checking
perdition-sysvinit.x86_64: W: spelling-error Summary(en_US) initscripts -> postscripts, transcripts, inscription
The value of this tag appears to be misspelled. Please double-check.

perdition-sysvinit.x86_64: W: spelling-error %description -l en_US initscripts -> postscripts, transcripts, inscription
The value of this tag appears to be misspelled. Please double-check.

perdition-sysvinit.x86_64: W: spelling-error %description -l en_US init -> unit, int, nit
The value of this tag appears to be misspelled. Please double-check.

perdition-sysvinit.x86_64: W: spelling-error %description -l en_US systemd -> systems, system, system d
The value of this tag appears to be misspelled. Please double-check.

perdition-sysvinit.x86_64: I: checking-url http://horms.net/projects/perdition/ (timeout 10 seconds)
perdition-sysvinit.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

perdition-sysvinit.x86_64: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.pop3
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

perdition-sysvinit.x86_64: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.pop3s
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

perdition-sysvinit.x86_64: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.imap4
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

perdition-sysvinit.x86_64: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.imaps
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

perdition-sysvinit.x86_64: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.managesieve
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

perdition-sysvinit.x86_64: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.pop3
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

perdition-sysvinit.x86_64: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.pop3s
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

perdition-sysvinit.x86_64: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.imap4
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

perdition-sysvinit.x86_64: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.imaps
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

perdition-sysvinit.x86_64: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.managesieve
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

perdition-sysvinit.x86_64: W: service-default-enabled /etc/rc.d/init.d/perdition
The service is enabled by default after "chkconfig --add"; for security
reasons, most services should not be. Use "-" as the default runlevel in the
init script's "chkconfig:" line and/or remove the "Default-Start:" LSB keyword
to fix this if appropriate for this service.

perdition-sysvinit.x86_64: E: no-chkconfig-line /etc/rc.d/init.d/perdition
The init script doesn't contain a chkconfig line to specify the runlevels at
which to start and stop it.

19 packages and 1 specfiles checked; 36 errors, 31 warnings.


A lot of issues from rpmlint. Well, some of them could be ignored, for example some spelling errors. Most of the issues needs to be fixed or explained at least.

Some questions:

What's the reason for don't have -devel subpackages? Usually we don't ship *.so and *.so.* files in the same package.

"perdition-sysvinit.x86_64: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.pop3
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name."
This needs to be fixed, as far as I can see.

Keep in mind, the sysvinit files are only needed for EPEL. so they have to be dropped when building the package for the current Fedora versions. By the way, there are some artifacts which are obsolete for Fedora in general, and only needed for EPEL5:
- the %clean section
- the initial cleaning of %buildroot in %install
- the %defattr lines in the file lists
- the Buildroot definition

Requires:	%{name}-%{version}-%{release}
has to be
Requires: %{name}%{?_isa} = %{version}-%{release}
because it is no "noarch" package.

The NEWS file is empty, please drop it.


Try to fix the issues, and I will do a full review.

Comment 6 Pavel Alexeev 2013-03-30 16:57:06 UTC
Mario, thank you for the review and comments and I'm very apologise for long delay wit answer.

(In reply to comment #5)
> Scratch build for Rawhide:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4831089
> 

> A lot of issues from rpmlint. Well, some of them could be ignored, for
> example some spelling errors. Most of the issues needs to be fixed or
> explained at least.
> 
> Some questions:
> 
> What's the reason for don't have -devel subpackages? Usually we don't ship
> *.so and *.so.* files in the same package.

There no .so files which we usually place in devel sub package:

$ rpm -qpl perdition-1.19-rc5.0.2.fc18.i686.rpm perdition-bdb-1.19-rc5.0.2.fc18.i686.rpm perdition-cdb-1.19-rc5.0.2.fc18.i686.rpm perdition-ldap-1.19-rc5.0.2.fc18.i686.rpm perdition-mysql-1.19-rc5.0.2.fc18.i686.rpm perdition-odbc-1.19-rc5.0.2.fc18.i686.rpm perdition-postgresql-1.19-rc5.0.2.fc18.i686.rpm perdition-sysvinit-1.19-rc5.0.2.fc18.i686.rpm | fgrep '.so'
/usr/lib/libperditiondb_daemon.so.0
/usr/lib/libperditiondb_daemon.so.0.0.0
/usr/lib/libperditiondb_daemon_base.so.0
/usr/lib/libperditiondb_daemon_base.so.0.0.0
/usr/lib/libperditiondb_gdbm.so.0
/usr/lib/libperditiondb_gdbm.so.0.0.0
/usr/lib/libperditiondb_nis.so.0
/usr/lib/libperditiondb_nis.so.0.0.0
/usr/lib/libperditiondb_posix_regex.so.0
/usr/lib/libperditiondb_posix_regex.so.0.0.0
/usr/lib/libperditiondb_bdb.so.0
/usr/lib/libperditiondb_bdb.so.0.0.0
/usr/lib/libperditiondb_cdb.so.0
/usr/lib/libperditiondb_cdb.so.0.0.0
/usr/lib/libperditiondb_ldap.so.0
/usr/lib/libperditiondb_ldap.so.0.0.0
/usr/lib/libperditiondb_mysql.so.0
/usr/lib/libperditiondb_mysql.so.0.0.0
/usr/lib/libperditiondb_odbc.so.0
/usr/lib/libperditiondb_odbc.so.0.0.0
/usr/lib/libperditiondb_postgresql.so.0
/usr/lib/libperditiondb_postgresql.so.0.0.0


> "perdition-sysvinit.x86_64: E: incoherent-subsys /etc/rc.d/init.d/perdition
> perdition.pop3
> The filename of your lock file in /var/lock/subsys/ is incoherent with your
> actual init script name."
> This needs to be fixed, as far as I can see.
I think there rpmlint just do not understand what we run several daemons from on file and for each provide separate lock. I don't known what do with it.

SystemV now deprecated and I think it have no worth split it into several services. Systemd service files meantime created for each service and may be run separately.

> Keep in mind, the sysvinit files are only needed for EPEL. so they have to
> be dropped when building the package for the current Fedora versions. By the
> way, there are some artifacts which are obsolete for Fedora in general, and
> only needed for EPEL5:
> - the %clean section
> - the initial cleaning of %buildroot in %install
> - the %defattr lines in the file lists
> - the Buildroot definition
I'll plan build it for EPEL5 too. Now wait update https://admin.fedoraproject.org/updates/vanessa_logger-0.0.10-2.el5 propagation as it is required version.
So unfortunately I still need it in spec.

> 
> Requires:	%{name}-%{version}-%{release}
> has to be
> Requires: %{name}%{?_isa} = %{version}-%{release}
> because it is no "noarch" package.
Thanks, fixed.

> The NEWS file is empty, please drop it.
As it provided by upstream file I would be prefer keep it with hope it will be filled in the future. 

> Try to fix the issues, and I will do a full review.
Thanks. Again sorry for the too late response. May be you will be so kind to return and continue review?

https://github.com/Hubbitus/Fedora-packaging/commit/909622ff76db31d56c18ddbe9000231c8006a1ef
http://hubbitus.info/rpm/Fedora18/perdition/perdition-1.19-rc5.0.2.fc18.src.rpm

Comment 7 Christopher Meng 2013-07-17 06:14:00 UTC
I think you should use systemd macro to finish systemd jobs as now is Fedora 19 time.

Comment 8 Pavel Alexeev 2013-07-20 17:45:49 UTC
Sorry, about finish what jobs are you speaking?

Comment 9 Christopher Meng 2013-07-20 23:05:46 UTC
Please see

http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Macroized_scriptlets_.28Fedora_18.2B.29

And why did you delete .so files? Why not putting them into -devel?

Comment 10 Christopher Meng 2013-07-20 23:11:02 UTC
If there are no so file's,  you don't need to include. 

And, I don't know if you really want to support el5, IMO it should be dropped.

Also, you shouldn't include a subpackage named sysvinit, in fact you should use rpm if else to judge the system version,  and install different files.

Comment 11 Pavel Alexeev 2013-07-21 16:43:13 UTC
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
seams better for me than:
%systemd_post %{name}-pop3.service
%systemd_post %{name}-pop3s.service
%systemd_post %{name}-imap4.service
%systemd_post %{name}-imap4s.service
%systemd_post %{name}-managesieve.service

At least in case when multiple services handled.
But ok, I have done "macroisation".

>And why did you delete .so files? Why not putting them into -devel?
Then it need include also headers. I have not found any API documentation, so it likely not intended to be linkable for others. Thus it have no worth to packaging.

>Also, you shouldn't include a subpackage named sysvinit, in fact you should use rpm if else to judge the system version,  and install different files.
Guidelines does not forbidd it as option and said it should be placed into subpackage:
https://fedoraproject.org/wiki/Packaging:SysVInitScript#Initscripts_in_addition_to_systemd_unit_files
Do you see any problem with it?


Srpm: http://hubbitus.info/rpm/Fedora19/perdition/perdition-1.19-rc5.0.3.fc19.src.rpm
Spec: https://github.com/Hubbitus/Fedora-packaging/blob/2f2b8c043c7641d48761fa53e72e160833213cd8/SPECS/perdition.spec
Spec changes: https://github.com/Hubbitus/Fedora-packaging/commit/2f2b8c043c7641d48761fa53e72e160833213cd8

Comment 12 Christopher Meng 2013-07-22 03:06:55 UTC
Hi,

Can you tell me if on Fedora we still need these sysv scripts?

Thanks.

Comment 13 Michael Schwendt 2013-07-22 10:11:05 UTC
Just some comments:


> error: line 23: Unknown tag: %systemd_requires

Makes the f19 build fail.


> warning: bogus date in %changelog ...

For entries from 2002/2004. Please fix them, or else they would show up again and again.


> build.log

format string warnings -> should be investigated


> What's the reason for don't have -devel subpackages?
> Usually we don't ship *.so and *.so.* files in the same package.

That should not be generalised like that.

Where we put .so files depends on what they are used/needed for. For every .so file in your package you need to understand whether it's used at run-time or at build-time. If neither one, the file can be deleted.

That many .so files are put in -devel packages (together with API headers) is simply because they are really only needed at build-time. However, experienced packagers could argue that it would be valid to dlopen any such .so file (even symlinks) at run-time, and then moving them into an optional -devel build-time package would be wrong. There are a few examples, and those don't adhere to the packaging guidelines because the developers and/or packagers refuse to patch the software.

The guidelines on -devel packages and .so files have been revised a couple of time up to the point they have become a larger section:
https://fedoraproject.org/wiki/Packaging:Guidelines#Devel_Packages

Please (re-)read them and pay special attention to what is written about plugins/modules. It's really important to understand whether/when the .so files in your packages are needed.


> perdition

In the source code, one can learn that it dlopen's the separate libraries for database access. In perdition.conf, the full library path including the trailing version is specified (albeit with a wrong default /usr/lib for x86_64):

  # M /usr/lib/libperditiondb_gdbm.so.0
  # map_library /usr/lib/libperditiondb_gdbm.so.0

A user of perdition might want to specify the non-versioned .so lib instead, because the .so.0 file is also just a symlink: .so -> .so.0 -> .so.0.0.0. In case of doubt, contact upstream and ask what they think about this.


$ rpmls -p perdition-1.19-rc5.0.3.fc19.x86_64.rpm|grep etc
-rw-r--r--  /etc/pam.d/perdition
lrwxrwxrwx  /etc/perdition/Makefile
-rw-r--r--  /etc/perdition/Makefile.popmap
-rw-r--r--  /etc/perdition/perdition.conf
-rw-r--r--  /etc/perdition/popmap
-rw-r--r--  /etc/perdition/popmap.re

/etc/perdition is not included yet.
https://fedoraproject.org/wiki/Packaging:UnownedDirectories


$ rpmls -p perdition-debuginfo-1.19-rc5.0.3.fc19.x86_64.rpm 
$

Examine this further in order to create a valid -debuginfo package.

Comment 14 Pavel Alexeev 2013-07-23 20:32:41 UTC
Hi.

(In reply to Christopher Meng from comment #12)
> Hi,
> 
> Can you tell me if on Fedora we still need these sysv scripts?
On current branches no. But It allow use it also on legacy systems like CentOs 5. As it work had been done already I wish leave it until.

(In reply to Michael Schwendt from comment #13)
> Just some comments:
> 
> 
> > error: line 23: Unknown tag: %systemd_requires
> Makes the f19 build fail.
Hm. Indeed.
According to http://cgit.freedesktop.org/systemd/systemd/tree/src/core/macros.systemd.in it should be defined.
Expanded.


> > warning: bogus date in %changelog ...
> 
> For entries from 2002/2004. Please fix them, or else they would show up
> again and again.
Fixed, thanks.

> 
> > build.log
> 
> format string warnings -> should be investigated
> 
> 
> > What's the reason for don't have -devel subpackages?
> > Usually we don't ship *.so and *.so.* files in the same package.
Yes, and it because they explicit deleted:
rm -f %{buildroot}%{_libdir}/*.{a,la,so}
Perdition does not provide headers and .so files for development. I have not find any API description on offsite for that.

> /etc/perdition is not included yet.
> https://fedoraproject.org/wiki/Packaging:UnownedDirectories
Sorry. Done.

> 
> $ rpmls -p perdition-debuginfo-1.19-rc5.0.3.fc19.x86_64.rpm 
> $
> 
> Examine this further in order to create a valid -debuginfo package.


Srpm: http://hubbitus.info/rpm/Fedora19/perdition/perdition-1.19-rc5.0.4.fc19.src.rpm
Spec: https://github.com/Hubbitus/Fedora-packaging/blob/137edeb2be5be666bf10204644d16d125e4380f4/SPECS/perdition.spec
Spec changes: https://github.com/Hubbitus/Fedora-packaging/commit/137edeb2be5be666bf10204644d16d125e4380f4
F19 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5647905

Comment 15 Michael Schwendt 2013-07-23 21:00:38 UTC
It would be defined, if you added "BuildRequires: systemd":

$ rpm --eval %systemd_requires

Requires(post): systemd 
Requires(preun): systemd 
Requires(postun): systemd 

$ rpm -qf /etc/rpm/macros.systemd 
systemd-204-9.fc19.x86_64



> Perdition does not provide headers and .so files for development.

The .so files are not for development. They belong to the database access modules. Explained in comment 13. You need to be aware of the consequences of deleting them.

Comment 16 Michael Schwendt 2013-07-23 21:02:17 UTC
> F19 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5647905

$ rpmls -p perdition-debuginfo-1.19-rc5.0.4.fc19.x86_64.rpm 
$

The -debuginfo package still is empty.

Comment 17 Pavel Alexeev 2013-07-27 12:13:47 UTC
Michael thank you for the hint with %systemd_requires macros. I'll apply it.

>The -debuginfo package still is empty.
Honestly I don't know what I should do with that. Do you have any thought?

Comment 18 Michael Schwendt 2013-07-27 13:06:18 UTC
A still often found mistake is that the built files get stripped somewhere. So, I've started with a look at the build.log,

  http://kojipkgs.fedoraproject.org//work/tasks/7906/5647906/build.log

only to see that you execute

  make DESTDIR=%{buildroot} install-strip

in the %install section. Why? Does a normal non-stripping "install" target exist, too? Give that a try. If it doesn't fix the -debuginfo package, another look will be needed.

Btw, nowadays we can use the %make_install macro. See "rpm --eval %make_install".

Comment 20 Michael Schwendt 2013-07-28 17:55:58 UTC
D'oh!

That's the src.rpm build that fails. Obviously, that cannot be fixed, because if %systemd_requires is undefined on that machine (and BuildRequires won't help with that), the src.rpm cannot be built from a spec file that cannot be parsed.

I wonder where you've found documentation about using %systemd_requires?

Don't use it just because the macro exists. It _cannot_ work like that.

Comment 21 Pavel Alexeev 2013-07-28 19:03:57 UTC
I got it from http://cgit.freedesktop.org/systemd/systemd/tree/src/core/macros.systemd.in as wrote before. Thats is not used now.

Comment 22 Michael Schwendt 2013-07-28 20:01:48 UTC
Yeah, we've misunderstood eachother. Sorry. The macro _is_ defined when package systemd is installed, but that doesn't (and can't) help with the src.rpm rebuilding step on the build system (where BuildRequires don't play a role).

I've done some searching...  see the last comment at https://fedorahosted.org/fpc/ticket/190 - eight months ago about the %systemd_requires macro:
|
| [...] it seems that we need to remove the macro otherwise people
| will find it via rpm --showrc and assume it should be used.

Comment 23 Pavel Alexeev 2013-07-28 20:07:55 UTC
Thanks. That explains it.

Comment 24 Christopher Meng 2013-11-03 12:56:25 UTC
2.0 just out!

;)

Comment 26 Murray McAllister 2013-11-08 06:09:31 UTC
Sorry to ask about this late in the process, but would it be possible to include the fix from http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=729028 before this package is released?

From the report:

"This is a security concern because it means that perdition is not
obeying the specifications of the administrator, and may accept weaker
ciphersuites than instructed on its backhaul connections."

Cheers

Comment 27 Pavel Alexeev 2013-11-10 16:12:00 UTC
I think it is should be propagated in upstream. Did you fill such issue?

Comment 28 Murray McAllister 2013-11-11 05:22:13 UTC
I have not, but I see now at the end of the Debian bug report it says "I've
reported it to the upstream mailing list, but for whatever reason the
message hasn't cleared that mailing list yet."

Comment 31 Christopher Meng 2013-11-17 09:27:05 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /etc/perdition/Makefile
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 27 files have unknown
     license. Detailed output of licensecheck in


GPL (v2 or later)
-----------------
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/ltmain.sh
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/makebdb/makebdb.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/makebdb/options.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/makebdb/options.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/makegdbm/makegdbm.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/makegdbm/options.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/makegdbm/options.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/config_file.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/config_file.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/bdb/perditiondb_bdb.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/bdb/perditiondb_bdb.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/cdb/perditiondb_cdb.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/cdb/perditiondb_cdb.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/daemon/lib/packet.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/daemon/lib/packet.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/daemon/lib/unix_socket.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/daemon/lib/unix_socket.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/daemon/perditiondb_daemon.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/daemon/perditiondb_daemon.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/gdbm/perditiondb_gdbm.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/gdbm/perditiondb_gdbm.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/ldap/perditiondb_ldap.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/ldap/perditiondb_ldap.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/mysql/perditiondb_mysql.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/mysql/perditiondb_mysql.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/nis/perditiondb_nis.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/nis/perditiondb_nis.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/odbc/perditiondb_odbc.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/odbc/perditiondb_odbc.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/posix_regex/perditiondb_posix_regex.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/posix_regex/perditiondb_posix_regex.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/postgresql/perditiondb_postgresql.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/postgresql/perditiondb_postgresql.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/getserver.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/greeting.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/greeting.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/imap4.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/imap4.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/imap4_in.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/imap4_in.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/imap4_out.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/imap4_out.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/imap4_tag.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/imap4_tag.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/imap4_write.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/imap4_write.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/imap4s.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/imap4s.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/int.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/io.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/io.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/io_select.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/io_select.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/log.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/options.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/options.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/pam.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/pam.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/perdition.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/perdition_globals.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/perdition_types.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/pop3.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/pop3.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/pop3_in.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/pop3_in.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/pop3_out.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/pop3_out.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/pop3_write.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/pop3_write.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/pop3s.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/pop3s.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/protocol.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/protocol.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/protocol_t.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/queue_func.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/queue_func.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/quit.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/quit.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/server_port.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/server_port.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/setproctitle.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/setproctitle.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/ssl.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/ssl.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/str.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/str.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/token.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/token.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/username.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/username.h

Unknown or generated
--------------------
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/autogen.sh
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/acap.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/acap.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/acap_token.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/acap_token.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/auth.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/base64.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/base64.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/buf.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/daemon/client.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/daemon/server.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/db/ldap/doc/perdition_ldap.tex
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/getserver.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/managesieve.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/managesieve.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/managesieve_in.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/managesieve_in.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/managesieve_out.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/managesieve_out.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/managesieve_response_code.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/managesieve_response_code.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/managesieve_write.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/managesieve_write.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/sasl_plain.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/sasl_plain.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/sock.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/perdition-2.0/perdition/unused.h

[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/rc.d/init.d, /etc/rc.d,
     /etc/openldap/schema
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[!]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 6 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in perdition-
     sysvinit
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: perdition-2.0-2.fc21.i686.rpm
          perdition-bdb-2.0-2.fc21.i686.rpm
          perdition-cdb-2.0-2.fc21.i686.rpm
          perdition-ldap-2.0-2.fc21.i686.rpm
          perdition-mysql-2.0-2.fc21.i686.rpm
          perdition-postgresql-2.0-2.fc21.i686.rpm
          perdition-odbc-2.0-2.fc21.i686.rpm
          perdition-sysvinit-2.0-2.fc21.i686.rpm
          perdition-2.0-2.fc21.src.rpm
perdition.i686: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
perdition.i686: E: non-readable /usr/lib/systemd/system/perdition-pop3s.service 0600L
perdition.i686: E: non-readable /usr/lib/systemd/system/perdition-managesieve.service 0600L
perdition.i686: E: non-readable /usr/lib/systemd/system/perdition-imap4.service 0600L
perdition.i686: E: zero-length /usr/share/doc/perdition/NEWS
perdition.i686: E: non-readable /usr/lib/systemd/system/perdition-pop3.service 0600L
perdition.i686: E: non-readable /usr/lib/systemd/system/perdition-imap4s.service 0600L
perdition-bdb.i686: W: spelling-error %description -l en_US glibc -> glib, glib c
perdition-cdb.i686: W: spelling-error %description -l en_US glibc -> glib, glib c
perdition-cdb.i686: W: no-documentation
perdition-ldap.i686: W: spelling-error %description -l en_US glibc -> glib, glib c
perdition-mysql.i686: W: spelling-error %description -l en_US glibc -> glib, glib c
perdition-postgresql.i686: W: spelling-error %description -l en_US glibc -> glib, glib c
perdition-odbc.i686: W: spelling-error %description -l en_US glibc -> glib, glib c
perdition-sysvinit.i686: W: spelling-error Summary(en_US) initscripts -> postscripts, transcripts, inscription
perdition-sysvinit.i686: W: spelling-error %description -l en_US initscripts -> postscripts, transcripts, inscription
perdition-sysvinit.i686: W: spelling-error %description -l en_US init -> unit, int, nit
perdition-sysvinit.i686: W: spelling-error %description -l en_US systemd -> systems, system, system d
perdition-sysvinit.i686: W: no-documentation
perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.pop3
perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.pop3s
perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.imap4
perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.imaps
perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.managesieve
perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.pop3
perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.pop3s
perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.imap4
perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.imaps
perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.managesieve
perdition-sysvinit.i686: W: service-default-enabled /etc/rc.d/init.d/perdition
perdition-sysvinit.i686: E: no-chkconfig-line /etc/rc.d/init.d/perdition
perdition.src: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
perdition.src:155: W: mixed-use-of-spaces-and-tabs (spaces: line 155, tab: line 1)
9 packages and 0 specfiles checked; 17 errors, 16 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perdition-mysql perdition-postgresql perdition-odbc perdition-ldap perdition-cdb perdition-sysvinit perdition perdition-bdb
perdition-mysql.i686: W: spelling-error %description -l en_US glibc -> glib, glib c
perdition-mysql.i686: W: unused-direct-shlib-dependency /usr/lib/libperditiondb_mysql.so.0.0.0 /lib/libdb-5.3.so
perdition-postgresql.i686: W: spelling-error %description -l en_US glibc -> glib, glib c
perdition-postgresql.i686: W: unused-direct-shlib-dependency /usr/lib/libperditiondb_postgresql.so.0.0.0 /lib/libdb-5.3.so
perdition-odbc.i686: W: spelling-error %description -l en_US glibc -> glib, glib c
perdition-odbc.i686: W: unused-direct-shlib-dependency /usr/lib/libperditiondb_odbc.so.0.0.0 /lib/libdb-5.3.so
perdition-ldap.i686: W: spelling-error %description -l en_US glibc -> glib, glib c
perdition-ldap.i686: W: undefined-non-weak-symbol /usr/lib/libperditiondb_ldap.so.0.0.0 user_server_port_str_assign
perdition-ldap.i686: W: undefined-non-weak-symbol /usr/lib/libperditiondb_ldap.so.0.0.0 user_server_port_get_server
perdition-ldap.i686: W: undefined-non-weak-symbol /usr/lib/libperditiondb_ldap.so.0.0.0 user_server_port_unassign
perdition-ldap.i686: W: undefined-non-weak-symbol /usr/lib/libperditiondb_ldap.so.0.0.0 user_server_port_get_user
perdition-ldap.i686: W: undefined-non-weak-symbol /usr/lib/libperditiondb_ldap.so.0.0.0 user_server_port_get_port
perdition-ldap.i686: W: undefined-non-weak-symbol /usr/lib/libperditiondb_ldap.so.0.0.0 user_server_port_destroy
perdition-ldap.i686: W: unused-direct-shlib-dependency /usr/lib/libperditiondb_ldap.so.0.0.0 /lib/libdb-5.3.so
perdition-cdb.i686: W: spelling-error %description -l en_US glibc -> glib, glib c
perdition-cdb.i686: W: unused-direct-shlib-dependency /usr/lib/libperditiondb_cdb.so.0.0.0 /lib/libdb-5.3.so
perdition-cdb.i686: W: no-documentation
perdition-sysvinit.i686: W: spelling-error Summary(en_US) initscripts -> postscripts, transcripts, inscription
perdition-sysvinit.i686: W: spelling-error %description -l en_US initscripts -> postscripts, transcripts, inscription
perdition-sysvinit.i686: W: spelling-error %description -l en_US init -> unit, int, nit
perdition-sysvinit.i686: W: spelling-error %description -l en_US systemd -> systems, system, system d
perdition-sysvinit.i686: W: no-documentation
perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.pop3
perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.pop3s
perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.imap4
perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.imaps
perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.managesieve
perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.pop3
perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.pop3s
perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.imap4
perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.imaps
perdition-sysvinit.i686: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.managesieve
perdition-sysvinit.i686: W: service-default-enabled /etc/rc.d/init.d/perdition
perdition-sysvinit.i686: E: no-chkconfig-line /etc/rc.d/init.d/perdition
perdition.i686: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
perdition.i686: W: unused-direct-shlib-dependency /usr/lib/libperditiondb_posix_regex.so.0.0.0 /lib/libdb-5.3.so
perdition.i686: W: undefined-non-weak-symbol /usr/lib/libperditiondb_daemon.so.0.0.0 sockname
perdition.i686: W: undefined-non-weak-symbol /usr/lib/libperditiondb_daemon.so.0.0.0 peername
perdition.i686: W: undefined-non-weak-symbol /usr/lib/libperditiondb_daemon.so.0.0.0 opt
perdition.i686: W: unused-direct-shlib-dependency /usr/lib/libperditiondb_daemon.so.0.0.0 /lib/libvanessa_socket.so.2
perdition.i686: W: unused-direct-shlib-dependency /usr/lib/libperditiondb_daemon.so.0.0.0 /lib/libdb-5.3.so
perdition.i686: W: unused-direct-shlib-dependency /usr/lib/libperditiondb_nis.so.0.0.0 /lib/libdb-5.3.so
perdition.i686: W: unused-direct-shlib-dependency /usr/lib/libperditiondb_gdbm.so.0.0.0 /lib/libdb-5.3.so
perdition.i686: W: unused-direct-shlib-dependency /usr/lib/libperditiondb_daemon_base.so.0.0.0 /lib/libvanessa_socket.so.2
perdition.i686: W: unused-direct-shlib-dependency /usr/lib/libperditiondb_daemon_base.so.0.0.0 /lib/libdb-5.3.so
perdition.i686: E: non-readable /usr/lib/systemd/system/perdition-pop3s.service 0600L
perdition.i686: E: non-readable /usr/lib/systemd/system/perdition-managesieve.service 0600L
perdition.i686: E: non-readable /usr/lib/systemd/system/perdition-imap4.service 0600L
perdition.i686: E: zero-length /usr/share/doc/perdition/NEWS
perdition.i686: E: non-readable /usr/lib/systemd/system/perdition-pop3.service 0600L
perdition.i686: E: non-readable /usr/lib/systemd/system/perdition-imap4s.service 0600L
perdition-bdb.i686: W: spelling-error %description -l en_US glibc -> glib, glib c
perdition-bdb.i686: W: unused-direct-shlib-dependency /usr/lib/libperditiondb_bdb.so.0.0.0 /lib/libvanessa_adt.so.0
8 packages and 0 specfiles checked; 17 errors, 36 warnings.
# echo 'rpmlint-done:'



Requires
--------
perdition-mysql (rpmlib, GLIBC filtered):
    /bin/bash
    /sbin/ldconfig
    libc.so.6
    libdb-5.3.so
    libmysqlclient.so.18
    libmysqlclient.so.18(libmysqlclient_16)
    libvanessa_adt.so.0
    libvanessa_logger.so.0
    perdition(x86-32)
    rtld(GNU_HASH)

perdition-postgresql (rpmlib, GLIBC filtered):
    /bin/bash
    /sbin/ldconfig
    libc.so.6
    libdb-5.3.so
    libpq.so.5
    libvanessa_adt.so.0
    libvanessa_logger.so.0
    perdition(x86-32)
    rtld(GNU_HASH)

perdition-odbc (rpmlib, GLIBC filtered):
    /bin/bash
    /sbin/ldconfig
    libc.so.6
    libdb-5.3.so
    libodbc.so.2
    libvanessa_adt.so.0
    libvanessa_logger.so.0
    perdition(x86-32)
    rtld(GNU_HASH)
    unixODBC

perdition-ldap (rpmlib, GLIBC filtered):
    /bin/bash
    /sbin/ldconfig
    config(perdition-ldap)
    libc.so.6
    libdb-5.3.so
    liblber-2.4.so.2
    libldap-2.4.so.2
    libvanessa_logger.so.0
    perdition(x86-32)
    rtld(GNU_HASH)

perdition-cdb (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6
    libcdb.so.1
    libdb-5.3.so
    perdition(x86-32)
    rtld(GNU_HASH)

perdition-sysvinit (rpmlib, GLIBC filtered):
    /bin/sh
    config(perdition-sysvinit)

perdition (rpmlib, GLIBC filtered):
    /bin/sh
    config(perdition)
    initscripts
    libc.so.6
    libcrypto.so.10
    libcrypto.so.10(libcrypto.so.10)
    libdb-5.3.so
    libdl.so.2
    libgdbm.so.4
    libidn.so.11
    libidn.so.11(LIBIDN_1.0)
    libnsl.so.1
    libpam.so.0
    libpam.so.0(LIBPAM_1.0)
    libperditiondb_daemon_base.so.0
    libpopt.so.0
    libpopt.so.0(LIBPOPT_0)
    libssl.so.10
    libssl.so.10(libssl.so.10)
    libvanessa_adt.so.0
    libvanessa_logger.so.0
    libvanessa_socket.so.2
    rtld(GNU_HASH)
    systemd
    vanessa_adt
    vanessa_logger
    vanessa_socket

perdition-bdb (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6
    libdb-5.3.so
    libpopt.so.0
    libpopt.so.0(LIBPOPT_0)
    libvanessa_adt.so.0
    libvanessa_logger.so.0
    perdition(x86-32)
    rtld(GNU_HASH)



Provides
--------
perdition-mysql:
    libperditiondb_mysql.so.0
    perdition-mysql
    perdition-mysql(x86-32)

perdition-postgresql:
    libperditiondb_postgresql.so.0
    perdition-postgresql
    perdition-postgresql(x86-32)

perdition-odbc:
    libperditiondb_odbc.so.0
    perdition-odbc
    perdition-odbc(x86-32)

perdition-ldap:
    config(perdition-ldap)
    libperditiondb_ldap.so.0
    perdition-ldap
    perdition-ldap(x86-32)

perdition-cdb:
    libperditiondb_cdb.so.0
    perdition-cdb
    perdition-cdb(x86-32)

perdition-sysvinit:
    config(perdition-sysvinit)
    perdition-sysvinit
    perdition-sysvinit(x86-32)

perdition:
    config(perdition)
    libperditiondb_daemon.so.0
    libperditiondb_daemon_base.so.0
    libperditiondb_gdbm.so.0
    libperditiondb_nis.so.0
    libperditiondb_posix_regex.so.0
    perdition
    perdition(x86-32)

perdition-bdb:
    libperditiondb_bdb.so.0
    perdition-bdb
    perdition-bdb(x86-32)



Source checksums
----------------
http://horms.net/projects/perdition/download/2.0/perdition-2.0.tar.bz2 :
  CHECKSUM(SHA256) this package     : c4835d33021757b1325e713ea39294b99cc0777ed110beecd70ce09003628775
  CHECKSUM(SHA256) upstream package : c4835d33021757b1325e713ea39294b99cc0777ed110beecd70ce09003628775


AutoTools: Obsoleted m4s found
------------------------------
  AM_PROG_LIBTOOL found in: perdition-2.0/configure.ac:32
  AM_CONFIG_HEADER found in: perdition-2.0/configure.ac:28


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -rvn perdition-2.0-2.fc19.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Comment 32 Pavel Alexeev 2013-11-17 16:03:14 UTC
(In reply to Christopher Meng from comment #31)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> 
> 
> Issues:
> =======
> - Package does not contain duplicates in %files.
>   Note: warning: File listed twice: /etc/perdition/Makefile
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles

%{_sysconfdir}/%{name} mentioned as %dir now and files listed separately.
Meantime i have not seen such error in rpmlint out. How you catch it?

> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners: /etc/rc.d/init.d, /etc/rc.d,
>      /etc/openldap/schema
It is not perdition directories:
# repoquery --whatprovides /etc/rc.d/init.d /etc/rc.d/init.d /etc/rc.d/init.d | sort -u
chkconfig-0:1.3.60-3.fc19.x86_64
initscripts-0:9.47-1.fc19.x86_64

They listed in sysvinit subpackage dependencies as per doc https://fedoraproject.org/wiki/Packaging:SysVInitScript#Initscripts_in_addition_to_systemd_unit_files

> [!]: Package is named according to the Package Naming Guidelines.
Sorry, what the problem with package name?

> [!]: Package complies to the Packaging Guidelines
Please be more precise.
 
> ===== EXTRA items =====
> 
> Generic:
> [!]: Package should not use obsolete m4 macros
>      Note: Some obsoleted macros found, see the attachment.
>      See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
I think it is not big issue.

> [x]: Rpmlint is run on all installed packages.
>      Note: There are rpmlint messages (see attachment).
Most of them are spelling errors or incorrect directory permissions which I can't fix. There also few false positives like:
perdition-sysvinit.noarch: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.pop3
perdition-sysvinit.noarch: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.pop3s
perdition-sysvinit.noarch: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.imap4
perdition-sysvinit.noarch: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.imaps
perdition-sysvinit.noarch: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.managesieve
perdition-sysvinit.noarch: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.pop3
perdition-sysvinit.noarch: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.pop3s
perdition-sysvinit.noarch: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.imap4
perdition-sysvinit.noarch: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.imaps
perdition-sysvinit.noarch: E: incoherent-subsys /etc/rc.d/init.d/perdition perdition.managesieve
perdition-sysvinit.noarch: E: no-chkconfig-line /etc/rc.d/init.d/perdition

which come from fact package provide several services from one package.


New package with most fixes (see below):
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6190586
Changes: https://github.com/Hubbitus/Fedora-packaging/commit/ee676e51ea15ba3a25fe2a3294eefd8f3b307810
Spec: https://raw.github.com/Hubbitus/Fedora-packaging/ee676e51ea15ba3a25fe2a3294eefd8f3b307810/SPECS/perdition.spec
Srpm: http://hubbitus.info/rpm/Fedora19/perdition/perdition-2.0-3.fc19.src.rpm

Comment 33 Murray McAllister 2013-11-17 23:07:56 UTC
(In reply to Pavel Alexeev (aka Pahan-Hubbitus) from comment #29)
> Ok, patch applied:
> https://github.com/Hubbitus/Fedora-packaging/commit/
> 254026856dbec79ad716b58729e09f5b0363c922

Wonderful, thank you!

Comment 34 Christopher Meng 2013-11-18 06:33:31 UTC
(In reply to Pavel Alexeev (aka Pahan-Hubbitus) from comment #32)
> %{_sysconfdir}/%{name} mentioned as %dir now and files listed separately.
> Meantime i have not seen such error in rpmlint out. How you catch it?

Well, fedora-review does warn about it...

> > [!]: Package must own all directories that it creates.
> >      Note: Directories without known owners: /etc/rc.d/init.d, /etc/rc.d,
> >      /etc/openldap/schema
> It is not perdition directories:
> # repoquery --whatprovides /etc/rc.d/init.d /etc/rc.d/init.d
> /etc/rc.d/init.d | sort -u
> chkconfig-0:1.3.60-3.fc19.x86_64
> initscripts-0:9.47-1.fc19.x86_64

Should be false positives.

> > [!]: Package is named according to the Package Naming Guidelines.
> Sorry, what the problem with package name?

Ah my bad...I made many mistakes yesterday...Sorry.

> > [!]: Package complies to the Packaging Guidelines

Well, complying with guidelines means no errors found.(not sure lol)

> > [!]: Package should not use obsolete m4 macros
> >      Note: Some obsoleted macros found, see the attachment.
> >      See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
> I think it is not big issue.

Yes, but please report upstream.

> perdition-sysvinit.noarch: E: no-chkconfig-line /etc/rc.d/init.d/perdition
> 
> which come from fact package provide several services from one package.

I just read the init file, it's using LSB headers, so no problem here. I will write a patch for rpmlint later.

------
perdition.i686: E: non-readable /usr/lib/systemd/system/perdition-pop3s.service 0600L
perdition.i686: E: non-readable /usr/lib/systemd/system/perdition-managesieve.service 0600L
perdition.i686: E: non-readable /usr/lib/systemd/system/perdition-imap4.service 0600L
perdition.i686: E: non-readable /usr/lib/systemd/system/perdition-pop3.service 0600L
perdition.i686: E: non-readable /usr/lib/systemd/system/perdition-imap4s.service 0600L


install -Dm 600 %{name}-$service.service %{buildroot}/%{_unitdir}/%{name}-$service.service

Should be 644.

------

perdition.i686: E: zero-length /usr/share/doc/perdition/NEWS

Drop it.

--------------------

Fix above will be ready for approval.

Comment 35 Pavel Alexeev 2013-11-22 12:55:02 UTC
Drop it.(In reply to Christopher Meng from comment #34)
> (In reply to Pavel Alexeev (aka Pahan-Hubbitus) from comment #32)
> > > [!]: Package should not use obsolete m4 macros
> > >      Note: Some obsoleted macros found, see the attachment.
> > >      See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
> > I think it is not big issue.
> 
> Yes, but please report upstream.

Reported in mail list perdition-users, should appear soon in archive.

> ------
> perdition.i686: E: non-readable
> /usr/lib/systemd/system/perdition-pop3s.service 0600L
> perdition.i686: E: non-readable
> /usr/lib/systemd/system/perdition-managesieve.service 0600L
> perdition.i686: E: non-readable
> /usr/lib/systemd/system/perdition-imap4.service 0600L
> perdition.i686: E: non-readable
> /usr/lib/systemd/system/perdition-pop3.service 0600L
> perdition.i686: E: non-readable
> /usr/lib/systemd/system/perdition-imap4s.service 0600L
> 
> 
> install -Dm 600 %{name}-$service.service
> %{buildroot}/%{_unitdir}/%{name}-$service.service
> 
> Should be 644.
Why 644? I haven't found such guidelines.

> ------
> 
> perdition.i686: E: zero-length /usr/share/doc/perdition/NEWS
> 
> Drop it.
I prefer stay it in hope author may fill it later.

Comment 36 Christopher Meng 2013-11-24 00:39:56 UTC
(In reply to Pavel Alexeev (aka Pahan-Hubbitus) from comment #35)
> > install -Dm 600 %{name}-$service.service
> > %{buildroot}/%{_unitdir}/%{name}-$service.service
> > 
> > Should be 644.
> Why 644? I haven't found such guidelines.

stat -c "%a %n" *.service in _unitdir:

http://ur1.ca/g37pr

Also guideline says:

https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions

Comment 38 Christopher Meng 2013-11-25 04:04:35 UTC
A belated approval.

PACKAGE APPROVED.

Comment 39 Pavel Alexeev 2013-11-27 17:14:03 UTC
Christopher thank you very much for the review.

New Package SCM Request
=======================
Package Name: perdition
Short Description: Mail Retrieval Proxy
Owners: hubbitus
Branches: F-18 F-19 F-20
InitialCC:

Comment 40 Gwyn Ciesla 2013-11-27 17:54:58 UTC
Git done (by process-git-requests).

Comment 41 Fedora Update System 2013-11-28 18:47:55 UTC
perdition-2.0-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perdition-2.0-4.fc19

Comment 42 Fedora Update System 2013-11-28 18:47:57 UTC
perdition-2.0-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perdition-2.0-4.fc18

Comment 43 Fedora Update System 2013-12-15 03:30:50 UTC
perdition-2.0-4.fc20 has been pushed to the Fedora 20 stable repository.

Comment 44 Fedora Update System 2013-12-15 03:37:03 UTC
perdition-2.0-4.fc19 has been pushed to the Fedora 19 stable repository.

Comment 45 Fedora Update System 2013-12-15 03:39:34 UTC
perdition-2.0-4.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.